Add compability flag LIBDM_API_COOKIE
authorHannes Reinecke <hare@suse.de>
Tue, 3 May 2011 07:38:30 +0000 (09:38 +0200)
committerHannes Reinecke <hare@suse.de>
Tue, 3 May 2011 07:44:44 +0000 (09:44 +0200)
Newer device-mapper versions use 'cookies' to synchronize with udev.
As this is not available with older versions we need to add stubs
to make it compile on older versions.
And we only need to update the device-mapper version in
dm_lib_prereq() if the flag is set.

Signed-off-by: Hannes Reinecke <hare@suse.de>

No differences found